name = 'usd'

version = '23.05'

requires = [
    'boost-1.80',
    'tbb-2020.3',
    'openexr-3.1',
    'alembic-1.8',
    'openvdb-10.0',
    'ptex-2.4.2',
    'materialx-1.38.7',
    'python_abi-3.10'
]

def commands():
    env.USD_ROOT.set('{root}')
    env.PATH.append('{root}/lib/')
    env.PYTHONPATH.append('{root}/lib/python')
    appendenv('PATH', '{root}/bin/')
    env.PATH.append('{root}/plugin/usd/')
    env.USDIMAGING_ENABLE_FACEVARYING_NORMALS.set(0)